ant-design-vue按需加载出错怎么办?


ant-design-vue按需加载出错怎么办?

按照官方文档引入antd时,到了按需加载那步出错了,提示

error  in ./node_modules/ant-design-vue/es/style/index.less
Module build failed (from ./node_modules/less-loader/dist/cjs.js):

百度了一下,最相关的解答是处理less,不仅要安装less-loader还要安装less

npm install less less-loader --save

然后在配置文件里,把官方文档的style由true改为css就行了

修改babel.config.js文件,配置babel-plugin-import

Snipaste_2019-12-27_16-39-11.jpgSnipaste_2019-12-27_16-39-18.jpg

运行成功

Snipaste_2019-12-27_16-39-25.jpg

Image placeholder
前端答疑
未设置
  71人点赞

没有讨论,发表一下自己的看法吧

推荐文章
app.vue组件如何按需加载?

app.vue组件如何按需加载?按需加载组件,或者异步组件,主要是应用了component的is属性1、template中的代码:这里的每一个按钮,都要显示不同的组件,所以我让他们使用了同一个方法名

jquery出错怎么解决?

1、查看是否引入jquery文件2、查询路径是否错误,可以在页面源码中点击js文件路径。有时候js里面会自动加入一些路径,导致路径错误3、JS是解释型语言,是根据标签引用分块顺序执行的,$是jQuer

thinkphp加载不了css怎么办?

thinkphp加载不了css怎么办?如何解决?解决方法:1、项目入口文件index.php

iis不加载css怎么办?

iis不加载css怎么办?解决方法:打开或关闭window功能中的Internet信息服务里的万维网服务=>常见HTTP功能=>静态内容选中后安装即可。

https无法加载css js资源怎么办?

https无法加载cssjs资源怎么办?在https的网站中引用http路径的js或css会导致不起作用,其形如:解决办法:将http:去掉,改为浏览器默认是不允许在HTTPS里面引用HTTP资源的,

jquery不兼容低版本ie浏览器怎么办?

jquery不兼容低版本ie浏览器怎么办?1、可以使用原生JS或者低版本的Jquery1.x版本。因为Jquery从2.x版本开始已经不再进行IE低版本(IE6、IE7、IE8)的兼容性处理。如果需要

jquery ie8不支持怎么办?

IE8不支持jQuery版本解决办法可以使用原生JS或者低版本的Jquery1.x版本,通过判断IE浏览器的版本来加载对应版本的jQuery。使用语句可在IE8模式下进行一些兼容操作。代码如下: 这样

ie不兼容jquery怎么办?

解决方法:1、可以使用原生JS或者低版本的Jquery1.x版本。因为Jquery从2.x版本开始已经不再进行IE低版本(IE6、IE7、IE8)的兼容性处理。如果需要兼容低版本的IE版本,建议使用原

jquery $.post乱码怎么办?

jquery$.post乱码怎么办?解决方法:$.ajaxSetup({ contentType:"application/x-www-form-urlencoded;charset=utf-8" }

脚本错误jQuery未定义怎么办?

脚本错误jQuery未定义怎么办?出现JQuery未定义这个错误的原因很简单,就是在引用JQuery的js文件时,顺序不对,jquery.js这个引用必须在最前面,不然就会出错。或者将使用了jQuer

jquery easyui乱码怎么办?

jqueryeasyui乱码怎么办?之所以出现乱码是因为,我们在引入easyui以后,它里面的汉化包并没产生作用而汉化包没有发生作用的原因有:1.汉化包引入路径有问题,文件找不到404,这个很简单,只

花2w培训前端,出来狂面20家,被拒,我该怎么办?

今天,一个在上海花2w培训前端的妹子向我诉苦,说她5个月刚培训出来,技术好差,2周时间,狂面20家公司,没有一家抛出橄榄枝。她自己说,感觉找不到工作了,能不能给我点建议?我大概问了她一些细节。这期培训

HTML乱码怎么办?

HTML乱码原因1、不同编码内容混杂:HTML乱码是因为html编码问题照成(常见gb2312与utf-8两种编码内容同一时候存在照成)2、未设置HTML编码:3、使用记事本编辑html:有时使用记事

IE浏览器页面显示不全怎么办?

快速修复浏览器方案(鉴于系统环境不同→请活学活用以下方法→根据具体情况决定做哪些)1、打开浏览器,点“工具”→“管理加载项”那里禁用所有可疑插件,或者你能准确知道没问题的保留。然后→工具→INTERN

css样式不兼容怎么办?

1、使用浏览器私有属性我们经常会在某个CSS的属性前添加一些前缀,比如-webkit-,-moz-,-ms-,这些就是浏览器的私有属性。为什么会出现私有属性呢?这是因为制定HTML和CSS标准的组织W

css right属性不生效怎么办?

cssright属性不生效怎么办?cssright属性不生效是因为元素的position属性值为static,解决方法是将元素的position属性的值改为relative、absolute、fixe

css图片在ie8中不显示怎么办?

css图片在ie8中不显示怎么办?css背景图片在ie8中不能显示是因为no-repeat前面缺少空格,添加一个空格,改成background:url(图片地址)no-repeat即可。代码:(相关课

link标签引入css不起作用怎么办?

link标签引入css不起作用怎么办?1、使用link标签引用CSS:2、link无效的问题:●原因多数是css路径写的不正确。路径分为相对路径和绝对路径。如果是相对路径要仔细检查路径是否和文件相对应

邮件不支持css怎么办?

邮件不支持css怎么办?邮件是支持css的,但是需要使用内联样式,内部样式和外部样式无法使用。下面是一些在邮件中使用css的注意事项:1.邮件使用table+css布局2.邮件主要部分在body内部,

qq浏览器不支持css3怎么办?

qq浏览器不支持css3怎么办?css3属性,比如keyframe和animation都需要加webkit、ms前缀,针对手机不同浏览器可能还要加更多前缀。以此达到适配所以浏览器的目的。解决qq浏览器

ant design有vue版本吗?

antdesign有vue版本吗?有vue版本,对应的名称为ant-design-vue。在vue项目中使用npmi--saveant-design-vue命令进行安装,然后即可使用。ant-desi

Ant Design Vue 中a-upload组件通过axios实现文件列表上传与更新回显的前后端处理方案

前言在企业应用的快速开发中,我们需要尽快的完成一些功能。如果您使用了AntDesignVue,在进行表单的文件上传相关功能开发的时候,您肯定迫不及待地需要找到一篇包治百病的文章,正是如此,才有了该文的

vue引入swiper vue使用swiper vue脚手架使用swiper /引入js文件/引入css文件

vue引入swipervue使用swipervue脚手架使用swiper/引入js文件/引入css文件欢迎加入前端交流群来获取视频资料以及前端学习资料:749539640转载文章请注明出处! 如果只是

超大规模商用 K8s 场景下,阿里巴巴如何动态解决容器资源的按需分配问题?

导读:资源利用率一直是很多平台管理和研发人员关心的话题。本文作者通过阿里巴巴容器平台团队在这一领域的工作实践,整理出了一套资源利用提升的方案,希望能够带给大家带来一些讨论和思考。引言不知道大家有没有过

号称以客户为中心的保险行业如何做到真正的“按需”服务?

随着客户消费模式的改变和对服务要求的不断提高,当前保险行业正经历深刻变化。虽然保险行业已经积累了大量的客户数据,但由于其业务的复杂性及缺少系统的建设,大多数数据都是孤立的。而在数字化浪潮的推进下,许多